# lixonet-ee

This is the semi-official, testing Lixonet EE repository.

Custom configurations should be supplied in a `lixonet.conf` file in the `name=value` format, such as your subnet.  Additionally, a tinc keypair is also be required.

**Configuration options**

All options are supplied in the `name=value` format on individual lines, i.e. `name=test_name_lixo`

 * `name` - The global, local neighbor name.  Tinc and Bird use this to identify a peer in the network.

**Setup**

Given,
1. Docker is installed
2. `eth0` is the **LAN** or **WAN** interface supporting external routing, DNS, etc.
3. `eth1` is the **birdged** interface to a router that will statically route the entire network subnet

Then, on the host:
1. Clone this repository: `git clone`
2. `mkdir /etc/lixonet/`,
3. fill out `lixonet.conf` (see: **Configuration options**), supply a `tinc.key`, and run `chmod +x build.sh && ./build.sh` to begin.
